Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class ContentBuilder

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.ContentBuilder

    public class ContentBuilder

extends java.lang.Object

Version:
  $Id: ContentBuilder.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `VERSION`

Constructor Summary
`ContentBuilder(ExportZipEntry contentEntry, ExportZipEntry styleEntry, ExportZipEntry bodyEntry, java.util.Collection fontFaces)`
`ContentBuilder(ExportZipEntry contentEntry, ExportZipEntry styleEntry, ExportZipEntry bodyEntry, java.util.Collection fontFaces, byte openDocumentNature)`

Method Summary
`void` | `build()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### ContentBuilder

    public ContentBuilder(ExportZipEntry contentEntry,
                          ExportZipEntry styleEntry,
                          ExportZipEntry bodyEntry,
                          java.util.Collection fontFaces)

### ContentBuilder

    public ContentBuilder(ExportZipEntry contentEntry,
                          ExportZipEntry styleEntry,
                          ExportZipEntry bodyEntry,
                          java.util.Collection fontFaces,
                          byte openDocumentNature)

Method Detail

### build

    public void build()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com